Subject: bug#22107: 25.1; Wrong docstring for this-single-command-keys

From: Stefan Monnier <[email-masked]>
Date: Fri, 11 Dec 2015 23:06:52 -0500

> It can be made to, yes. But I wanted the C-u it to be displayed as
> part of the following command.
> The point of this little package is that it doesn't display every
> single key combo you use. It only displays the keybind of a few
> commands that you specify in advance (so it only shows the commands
> you're trying to teach).

That makes sense, thank you.

> Right now, I've just patched my own code to display something like
> this in that situation (and I'm happy with it):
>    eval-last-sexp (with prefix)
>    C-u C-x C-e

And indeed for your example, this behavior is meaningful for C-u but not
nearly as much for a prefix like C-x 4 (whose effect should be the
same for all commands, contrary to C-u whose effect can vary
from one command to the next).

        Stefan